﻿using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			List<Data> source = new List<Data>();
			for (int i = 0; i < 30; i++)
			{
				source.Add(new Data() { P1 = i, P2 = i + 1 });
			}
			this.DataContext = source;
		}

		private void RadContextMenu_Opened(object sender, RoutedEventArgs e)
		{
			var cell = contextMenu.GetClickedElement<GridViewCell>();
			if (cell != null)
			{
				bool even = ((int)cell.Value) % 2 == 0;
				item1.Header = even ? "Even" : "Odd";
			}
		}
	}

	public class Data
	{
		public int P1 { get; set; }
		public int P2 { get; set; }
	}
}